org.apache.fop.fonts.autodetect

## Class NativeFontDirFinder

- java.lang.Object
- - org.apache.fop.fonts.autodetect.NativeFontDirFinder

- All Implemented Interfaces:
    FontDirFinder
  Direct Known Subclasses:
    MacFontDirFinder, UnixFontDirFinder

      public abstract class NativeFontDirFinder
      extends java.lang.Object
      implements FontDirFinder

  Native font finder base class

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeFontDirFinder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.io.File>` | `find()` Generic method used by Mac and Unix font finders.
    `protected abstract java.lang.String[]` | `getSearchableDirectories()` Returns an array of directories to search for fonts in.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeFontDirFinder

          public NativeFontDirFinder()

  - ### Method Detail

    - #### find

          public java.util.List<java.io.File> find()

      Generic method used by Mac and Unix font finders.
      Specified by:
        `find` in interface `FontDirFinder`
      Returns:
        list of natively existing font directories list of font files.

    - #### getSearchableDirectories

          protected abstract java.lang.String[] getSearchableDirectories()

      Returns an array of directories to search for fonts in.
      Returns:
        an array of directories

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.